com.google.gwt.codegen.server

## Class SafeHtmlStringGenerator

- java.lang.Object
- - com.google.gwt.codegen.server.StringGenerator
  - - com.google.gwt.codegen.server.SafeHtmlStringGenerator

-     class SafeHtmlStringGenerator
      extends StringGenerator

  Helper class to produce string expressions consisting of literals and computed values.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.google.gwt.codegen.server.StringGenerator

      `StringGenerator.Type`

  - ### Field Summary

    - ### Fields inherited from class com.google.gwt.codegen.server.StringGenerator

      `buf, inString`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SafeHtmlStringGenerator(java.lang.StringBuilder buf)` Initialize the StringGenerator with an output buffer.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `afterExpression(StringGenerator.Type type)`
    `protected void` | `beforeExpression(StringGenerator.Type type)`
    `protected void` | `finishOutput()`
    `protected void` | `forceStringPrefix()`
    `protected void` | `forceStringSuffix()`

    - ### Methods inherited from class com.google.gwt.codegen.server.StringGenerator

      `appendExpression, appendStringLiteral, appendStringValuedExpression, completeString, create`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SafeHtmlStringGenerator

          SafeHtmlStringGenerator(java.lang.StringBuilder buf)

      Initialize the StringGenerator with an output buffer.
      Parameters:
        `buf` - output buffer

  - ### Method Detail

    - #### afterExpression

          protected void afterExpression(StringGenerator.Type type)

      Specified by:
        `afterExpression` in class `StringGenerator`

    - #### beforeExpression

          protected void beforeExpression(StringGenerator.Type type)

      Specified by:
        `beforeExpression` in class `StringGenerator`

    - #### finishOutput

          protected void finishOutput()

      Specified by:
        `finishOutput` in class `StringGenerator`

    - #### forceStringPrefix

          protected void forceStringPrefix()

      Specified by:
        `forceStringPrefix` in class `StringGenerator`

    - #### forceStringSuffix

          protected void forceStringSuffix()

      Specified by:
        `forceStringSuffix` in class `StringGenerator`